Bug 1489208 - EPEL moodle 3.1.x doesn't load tcpdf/tcpdf.php
Summary: EPEL moodle 3.1.x doesn't load tcpdf/tcpdf.php
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: moodle
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 00:20 UTC by Cristian Martinez
Modified: 2017-10-06 15:18 UTC (History)
2 users (show)

Fixed In Version: moodle-3.1.8-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-06 15:18:25 UTC


Attachments (Terms of Use)

Description Cristian Martinez 2017-09-07 00:20:57 UTC
Description of problem:
moodle-2.9-unbundle-tcpdf.patch produces an error at the lib/pdflib.php file, line 149. After applying the patch, the line says:

require_once('/tcpdf/tcpdf.php');

But Moodle can't find the referred file from the php-tcpdf package. The code works if the first slash is removed:

require_once('tcpdf/tcpdf.php');

Version-Release number of selected component (if applicable):
3.1.7-1.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install a 
2. Create a new course
3. Add a new assignment

Actual results:
Moodle fails with a 500 error, and if you activate debugging (Site administration > Development > Debugging > Display debug message) you could see the following messages

Warning: require_once(/tcpdf/tcpdf.php): failed to open stream: No such file or directory in /var/www/moodle/web/lib/pdflib.php on line 149

Fatal error: require_once(): Failed opening required '/tcpdf/tcpdf.php' (include_path='/var/www/moodle/web/lib/pear:.:/usr/share/pear:/usr/share/php') in /var/www/moodle/web/lib/pdflib.php on line 149

Expected results:
* Users should be able to add assignments to a course

Additional info:

Comment 1 Fedora Update System 2017-09-07 17:32:21 UTC
moodle-3.1.7-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ae10795cdf

Comment 2 Fedora Update System 2017-09-08 21:48:19 UTC
moodle-3.1.7-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ae10795cdf

Comment 3 Fedora Update System 2017-09-20 16:20:56 UTC
moodle-3.1.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8da6477f0a

Comment 4 Fedora Update System 2017-09-22 05:50:19 UTC
moodle-3.1.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8da6477f0a

Comment 5 Fedora Update System 2017-10-06 15:18:25 UTC
moodle-3.1.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.